List deployments visible to the caller (summary shape)
GET
/deployments
const url = 'https://example.com/deployments';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/deployments \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”orgId
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
buildStatus
required
string
githubBranch
string | null
githubRepo
string | null
icon
string | null
id
required
string
image
string | null
ingresses
required
Array<object>
object
host
required
string
id
required
string
key
additional properties
name
required
string
project
required
object
id
required
string
name
required
string
organizationId
string
slug
string
key
additional properties
replicas
required
number
status
required
string
stopped
required
boolean
updatedAt
required
string
key
additional properties
Example generated
[ { "buildStatus": "example", "githubBranch": "example", "githubRepo": "example", "icon": "example", "id": "example", "image": "example", "ingresses": [ { "host": "example", "id": "example" } ], "name": "example", "project": { "id": "example", "name": "example", "organizationId": "example", "slug": "example" }, "replicas": 1, "status": "example", "stopped": true, "updatedAt": "example" }]